(define (problem transport-city-sequential-18nodes-1000size-4degree-100mindistance-3trucks-7packages-2008seed)
(:domain transport)
(:objects
          city-loc-1 - location
          city-loc-2 - location
          city-loc-3 - location
          city-loc-4 - location
          city-loc-5 - location
          city-loc-6 - location
          city-loc-7 - location
          city-loc-8 - location
          city-loc-9 - location
          city-loc-10 - location
          city-loc-11 - location
          city-loc-12 - location
          city-loc-13 - location
          city-loc-14 - location
          city-loc-15 - location
          city-loc-16 - location
          city-loc-17 - location
          city-loc-18 - location
          truck-1 - vehicle
          truck-2 - vehicle
          truck-3 - vehicle
          package-1 - package
          package-2 - package
          package-3 - package
          package-4 - package
          package-5 - package
          package-6 - package
          package-7 - package
          capacity-0 - capacity-number
          capacity-1 - capacity-number
          capacity-2 - capacity-number
          capacity-3 - capacity-number
          capacity-4 - capacity-number
          )
(:INIT
          (= (total-cost ) 0)
          (capacity-predecessor capacity-0 capacity-1)
          (capacity-predecessor capacity-1 capacity-2)
          (capacity-predecessor capacity-2 capacity-3)
          (capacity-predecessor capacity-3 capacity-4)
          (road city-loc-3 city-loc-1)
          (= (road-length city-loc-3 city-loc-1) 22)
          (road city-loc-1 city-loc-3)
          (= (road-length city-loc-1 city-loc-3) 22)
          (road city-loc-4 city-loc-1)
          (= (road-length city-loc-4 city-loc-1) 26)
          (road city-loc-1 city-loc-4)
          (= (road-length city-loc-1 city-loc-4) 26)
          (road city-loc-5 city-loc-4)
          (= (road-length city-loc-5 city-loc-4) 12)
          (road city-loc-4 city-loc-5)
          (= (road-length city-loc-4 city-loc-5) 12)
          (road city-loc-6 city-loc-2)
          (= (road-length city-loc-6 city-loc-2) 19)
          (road city-loc-2 city-loc-6)
          (= (road-length city-loc-2 city-loc-6) 19)
          (road city-loc-7 city-loc-1)
          (= (road-length city-loc-7 city-loc-1) 15)
          (road city-loc-1 city-loc-7)
          (= (road-length city-loc-1 city-loc-7) 15)
          (road city-loc-7 city-loc-3)
          (= (road-length city-loc-7 city-loc-3) 16)
          (road city-loc-3 city-loc-7)
          (= (road-length city-loc-3 city-loc-7) 16)
          (road city-loc-7 city-loc-4)
          (= (road-length city-loc-7 city-loc-4) 31)
          (road city-loc-4 city-loc-7)
          (= (road-length city-loc-4 city-loc-7) 31)
          (road city-loc-8 city-loc-7)
          (= (road-length city-loc-8 city-loc-7) 30)
          (road city-loc-7 city-loc-8)
          (= (road-length city-loc-7 city-loc-8) 30)
          (road city-loc-9 city-loc-6)
          (= (road-length city-loc-9 city-loc-6) 28)
          (road city-loc-6 city-loc-9)
          (= (road-length city-loc-6 city-loc-9) 28)
          (road city-loc-10 city-loc-3)
          (= (road-length city-loc-10 city-loc-3) 25)
          (road city-loc-3 city-loc-10)
          (= (road-length city-loc-3 city-loc-10) 25)
          (road city-loc-10 city-loc-7)
          (= (road-length city-loc-10 city-loc-7) 18)
          (road city-loc-7 city-loc-10)
          (= (road-length city-loc-7 city-loc-10) 18)
          (road city-loc-10 city-loc-8)
          (= (road-length city-loc-10 city-loc-8) 24)
          (road city-loc-8 city-loc-10)
          (= (road-length city-loc-8 city-loc-10) 24)
          (road city-loc-10 city-loc-9)
          (= (road-length city-loc-10 city-loc-9) 32)
          (road city-loc-9 city-loc-10)
          (= (road-length city-loc-9 city-loc-10) 32)
          (road city-loc-11 city-loc-9)
          (= (road-length city-loc-11 city-loc-9) 24)
          (road city-loc-9 city-loc-11)
          (= (road-length city-loc-9 city-loc-11) 24)
          (road city-loc-12 city-loc-1)
          (= (road-length city-loc-12 city-loc-1) 29)
          (road city-loc-1 city-loc-12)
          (= (road-length city-loc-1 city-loc-12) 29)
          (road city-loc-12 city-loc-3)
          (= (road-length city-loc-12 city-loc-3) 23)
          (road city-loc-3 city-loc-12)
          (= (road-length city-loc-3 city-loc-12) 23)
          (road city-loc-13 city-loc-9)
          (= (road-length city-loc-13 city-loc-9) 29)
          (road city-loc-9 city-loc-13)
          (= (road-length city-loc-9 city-loc-13) 29)
          (road city-loc-13 city-loc-11)
          (= (road-length city-loc-13 city-loc-11) 13)
          (road city-loc-11 city-loc-13)
          (= (road-length city-loc-11 city-loc-13) 13)
          (road city-loc-14 city-loc-4)
          (= (road-length city-loc-14 city-loc-4) 13)
          (road city-loc-4 city-loc-14)
          (= (road-length city-loc-4 city-loc-14) 13)
          (road city-loc-14 city-loc-5)
          (= (road-length city-loc-14 city-loc-5) 18)
          (road city-loc-5 city-loc-14)
          (= (road-length city-loc-5 city-loc-14) 18)
          (road city-loc-14 city-loc-8)
          (= (road-length city-loc-14 city-loc-8) 25)
          (road city-loc-8 city-loc-14)
          (= (road-length city-loc-8 city-loc-14) 25)
          (road city-loc-15 city-loc-9)
          (= (road-length city-loc-15 city-loc-9) 15)
          (road city-loc-9 city-loc-15)
          (= (road-length city-loc-9 city-loc-15) 15)
          (road city-loc-15 city-loc-10)
          (= (road-length city-loc-15 city-loc-10) 31)
          (road city-loc-10 city-loc-15)
          (= (road-length city-loc-10 city-loc-15) 31)
          (road city-loc-15 city-loc-11)
          (= (road-length city-loc-15 city-loc-11) 12)
          (road city-loc-11 city-loc-15)
          (= (road-length city-loc-11 city-loc-15) 12)
          (road city-loc-15 city-loc-13)
          (= (road-length city-loc-15 city-loc-13) 22)
          (road city-loc-13 city-loc-15)
          (= (road-length city-loc-13 city-loc-15) 22)
          (road city-loc-16 city-loc-11)
          (= (road-length city-loc-16 city-loc-11) 16)
          (road city-loc-11 city-loc-16)
          (= (road-length city-loc-11 city-loc-16) 16)
          (road city-loc-16 city-loc-13)
          (= (road-length city-loc-16 city-loc-13) 20)
          (road city-loc-13 city-loc-16)
          (= (road-length city-loc-13 city-loc-16) 20)
          (road city-loc-16 city-loc-15)
          (= (road-length city-loc-16 city-loc-15) 27)
          (road city-loc-15 city-loc-16)
          (= (road-length city-loc-15 city-loc-16) 27)
          (road city-loc-17 city-loc-8)
          (= (road-length city-loc-17 city-loc-8) 16)
          (road city-loc-8 city-loc-17)
          (= (road-length city-loc-8 city-loc-17) 16)
          (road city-loc-17 city-loc-10)
          (= (road-length city-loc-17 city-loc-10) 21)
          (road city-loc-10 city-loc-17)
          (= (road-length city-loc-10 city-loc-17) 21)
          (road city-loc-17 city-loc-11)
          (= (road-length city-loc-17 city-loc-11) 26)
          (road city-loc-11 city-loc-17)
          (= (road-length city-loc-11 city-loc-17) 26)
          (road city-loc-17 city-loc-15)
          (= (road-length city-loc-17 city-loc-15) 22)
          (road city-loc-15 city-loc-17)
          (= (road-length city-loc-15 city-loc-17) 22)
          (road city-loc-17 city-loc-16)
          (= (road-length city-loc-17 city-loc-16) 31)
          (road city-loc-16 city-loc-17)
          (= (road-length city-loc-16 city-loc-17) 31)
          (road city-loc-18 city-loc-9)
          (= (road-length city-loc-18 city-loc-9) 25)
          (road city-loc-9 city-loc-18)
          (= (road-length city-loc-9 city-loc-18) 25)
          (road city-loc-18 city-loc-11)
          (= (road-length city-loc-18 city-loc-11) 31)
          (road city-loc-11 city-loc-18)
          (= (road-length city-loc-11 city-loc-18) 31)
          (road city-loc-18 city-loc-13)
          (= (road-length city-loc-18 city-loc-13) 24)
          (road city-loc-13 city-loc-18)
          (= (road-length city-loc-13 city-loc-18) 24)
          (road city-loc-18 city-loc-15)
          (= (road-length city-loc-18 city-loc-15) 31)
          (road city-loc-15 city-loc-18)
          (= (road-length city-loc-15 city-loc-18) 31)
          (at package-1 city-loc-15)
          (at package-2 city-loc-1)
          (at package-3 city-loc-3)
          (at package-4 city-loc-2)
          (at package-5 city-loc-8)
          (at package-6 city-loc-8)
          (at package-7 city-loc-16)
          (at truck-1 city-loc-5)
          (capacity truck-1 capacity-4)
          (at truck-2 city-loc-6)
          (capacity truck-2 capacity-4)
          (at truck-3 city-loc-1)
          (capacity truck-3 capacity-4)
          )
(:goal
          (and
               (at package-1 city-loc-6)
               (at package-2 city-loc-13)
               (at package-3 city-loc-1)
               (at package-4 city-loc-18)
               (at package-5 city-loc-9)
               (at package-6 city-loc-2)
               (at package-7 city-loc-14)
          )
          )
(:metric minimize (total-cost))
)
