












































(define (domain openstacks-time-adl)
 (:types order - object product - object count - object)
 (:predicates (includes ?o - order ?p - product) (waiting ?o - order) (started ?o - order) (shipped ?o - order) (made ?p - product) (stacks-avail ?s - count) (next-count ?s - count ?ns - count) (max-count ?s - count))
 (:action make-product
  :parameters ( ?p - product)
  :precondition (and (not (made ?p)) (forall ( ?o - order) (imply (and (includes ?o ?p)) (started ?o))))
  :effect  (made ?p)
 )
 (:action start-order
  :parameters ( ?o - order ?avail - count ?new-avail - count)
  :precondition (and (waiting ?o) (stacks-avail ?avail) (next-count ?new-avail ?avail))
  :effect (and (started ?o) (stacks-avail ?new-avail) (not (waiting ?o)) (not (stacks-avail ?avail)))
 )
 (:action ship-order
  :parameters ( ?o - order ?avail - count ?new-avail - count)
  :precondition (and (started ?o) (stacks-avail ?avail) (next-count ?avail ?new-avail) (forall ( ?p - product) (imply (and (includes ?o ?p)) (made ?p))))
  :effect (and (shipped ?o) (stacks-avail ?new-avail) (not (started ?o)) (not (stacks-avail ?avail)))
 )
)
