(define (domain etipp)
 (:types size_t - object location_t - object side_t - object color_t - object image_t - object timepoint_t - object resource_t - object action_t - object sheet_t - object)
 (:predicates (sheetsize ?sheet - sheet_t ?size - size_t) (location ?sheet - sheet_t ?location - location_t) (hasimage ?sheet - sheet_t ?side - side_t ?image - image_t) (sideup ?sheet - sheet_t ?side - side_t) (stackedin ?sheet - sheet_t ?location - location_t) (imagecolor ?image - image_t ?color - color_t) (notprintedwith ?sheet - sheet_t ?side - side_t ?color - color_t) (oppositeside ?side1 - side_t ?side2 - side_t) (timepoint ?sheet - sheet_t ?timepoint - timepoint_t) (hasallrsrcs ?sheet - sheet_t ?action - action_t) (available ?resource - resource_t) (prevsheet ?sheet1 - sheet_t ?sheet2 - sheet_t) (uninitialized))
 (:constants letter - size_t black - color_t color - color_t front - side_t back - side_t some_feeder_tray - location_t some_finisher_tray - location_t some_purge_tray - location_t fe1_exit-hw1_leftentry - location_t hw1_rightexit-sys_entry - location_t uc1_entry-hw1_topleftexit - location_t lc1_entry-hw1_bottomleftexit - location_t hw1_toprightentry-uc1_exit - location_t lc1_exit-hw1_bottomrightentry - location_t uc1_exittoime-uime_entry - location_t uime_exit-uc1_entryfromime - location_t lime_entry-lc1_exittoime - location_t lc1_entryfromime-lime_exit - location_t sys_outputtray - location_t fe1-feedmsi-letter-t0 - timepoint_t fe1-feed-letter-t0 - timepoint_t hw1-leftentrytotopleftexit-letter-t1 - timepoint_t hw1-leftentrytobottomleftexit-letter-t1 - timepoint_t hw1-toprightentrytotopleftexit-letter-t1 - timepoint_t hw1-toprightentrytotopleftexit-letter-t2 - timepoint_t hw1-toprightentrytobottomleftexit-letter-t1 - timepoint_t hw1-toprightentrytobottomleftexit-letter-t2 - timepoint_t hw1-bottomrightentrytotopleftexit-letter-t1 - timepoint_t hw1-bottomrightentrytotopleftexit-letter-t2 - timepoint_t hw1-bottomrightentrytobottomleftexit-letter-t1 - timepoint_t hw1-bottomrightentrytobottomleftexit-letter-t2 - timepoint_t hw1-toprightentrytorightexit-letter-t1 - timepoint_t hw1-bottomrightentrytorightexit-letter-t1 - timepoint_t uime-simplex-letter-t0 - timepoint_t lime-simplex-letter-t0 - timepoint_t lime-simplexmono-letter-t0 - timepoint_t fe1_nip-rsrc - resource_t hw1_topleftnip-rsrc - resource_t hw1_bottomleftnip-rsrc - resource_t hw1_leftsplitnip-rsrc - resource_t hw1_rightnip-rsrc - resource_t uime_drum-rsrc - resource_t lime_drum-rsrc - resource_t fe1-feedmsi-letter - action_t fe1-feed-letter - action_t hw1-leftentrytotopleftexit-letter - action_t hw1-leftentrytobottomleftexit-letter - action_t hw1-toprightentrytotopleftexit-letter - action_t hw1-toprightentrytobottomleftexit-letter - action_t hw1-bottomrightentrytotopleftexit-letter - action_t hw1-bottomrightentrytobottomleftexit-letter - action_t hw1-toprightentrytorightexit-letter - action_t hw1-bottomrightentrytorightexit-letter - action_t uime-simplex-letter - action_t lime-simplex-letter - action_t lime-simplexmono-letter - action_t)
 (:action initialize
  :precondition (uninitialized)
  :effect (and (available fe1_nip-rsrc) (available hw1_topleftnip-rsrc) (available hw1_bottomleftnip-rsrc) (available hw1_leftsplitnip-rsrc) (available hw1_rightnip-rsrc) (available uime_drum-rsrc) (available lime_drum-rsrc) (not (uninitialized)))
 )
 (:action fe1-feedmsi-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet some_feeder_tray) (available fe1_nip-rsrc))
  :effect (and (hasallrsrcs ?sheet fe1-feedmsi-letter) (sideup ?sheet back) (location ?sheet fe1_exit-hw1_leftentry) (not (location ?sheet some_feeder_tray)) (not (available fe1_nip-rsrc)))
 )
 (:action fe1-feedmsi-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet fe1-feedmsi-letter)
  :effect (and (available fe1_nip-rsrc) (not (hasallrsrcs ?sheet fe1-feedmsi-letter)))
 )
 (:action fe1-feed-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet some_feeder_tray) (available fe1_nip-rsrc))
  :effect (and (hasallrsrcs ?sheet fe1-feed-letter) (sideup ?sheet back) (location ?sheet fe1_exit-hw1_leftentry) (not (location ?sheet some_feeder_tray)) (not (available fe1_nip-rsrc)))
 )
 (:action fe1-feed-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet fe1-feed-letter)
  :effect (and (available fe1_nip-rsrc) (not (hasallrsrcs ?sheet fe1-feed-letter)))
 )
 (:action hw1-leftentrytotopleftexit-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet fe1_exit-hw1_leftentry))
  :effect (and (timepoint ?sheet hw1-leftentrytotopleftexit-letter-t1) (not (location ?sheet fe1_exit-hw1_leftentry)))
 )
 (:action hw1-leftentrytotopleftexit-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet hw1-leftentrytotopleftexit-letter-t1) (available hw1_topleftnip-rsrc))
  :effect (and (hasallrsrcs ?sheet hw1-leftentrytotopleftexit-letter) (location ?sheet uc1_entry-hw1_topleftexit) (not (timepoint ?sheet hw1-leftentrytotopleftexit-letter-t1)) (not (available hw1_topleftnip-rsrc)))
 )
 (:action hw1-leftentrytotopleftexit-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet hw1-leftentrytotopleftexit-letter)
  :effect (and (available hw1_topleftnip-rsrc) (not (hasallrsrcs ?sheet hw1-leftentrytotopleftexit-letter)))
 )
 (:action hw1-leftentrytobottomleftexit-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet fe1_exit-hw1_leftentry))
  :effect (and (timepoint ?sheet hw1-leftentrytobottomleftexit-letter-t1) (not (location ?sheet fe1_exit-hw1_leftentry)))
 )
 (:action hw1-leftentrytobottomleftexit-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet hw1-leftentrytobottomleftexit-letter-t1) (available hw1_bottomleftnip-rsrc))
  :effect (and (hasallrsrcs ?sheet hw1-leftentrytobottomleftexit-letter) (location ?sheet lc1_entry-hw1_bottomleftexit) (not (timepoint ?sheet hw1-leftentrytobottomleftexit-letter-t1)) (not (available hw1_bottomleftnip-rsrc)))
 )
 (:action hw1-leftentrytobottomleftexit-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet hw1-leftentrytobottomleftexit-letter)
  :effect (and (available hw1_bottomleftnip-rsrc) (not (hasallrsrcs ?sheet hw1-leftentrytobottomleftexit-letter)))
 )
 (:action hw1-toprightentrytotopleftexit-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet hw1_toprightentry-uc1_exit))
  :effect (and (timepoint ?sheet hw1-toprightentrytotopleftexit-letter-t1) (not (location ?sheet hw1_toprightentry-uc1_exit)))
 )
 (:action hw1-toprightentrytotopleftexit-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet hw1-toprightentrytotopleftexit-letter-t1) (available hw1_leftsplitnip-rsrc))
  :effect (and (timepoint ?sheet hw1-toprightentrytotopleftexit-letter-t2) (not (timepoint ?sheet hw1-toprightentrytotopleftexit-letter-t1)) (not (available hw1_leftsplitnip-rsrc)))
 )
 (:action hw1-toprightentrytotopleftexit-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet hw1-toprightentrytotopleftexit-letter-t2) (available hw1_topleftnip-rsrc))
  :effect (and (hasallrsrcs ?sheet hw1-toprightentrytotopleftexit-letter) (location ?sheet uc1_entry-hw1_topleftexit) (not (timepoint ?sheet hw1-toprightentrytotopleftexit-letter-t2)) (not (available hw1_topleftnip-rsrc)))
 )
 (:action hw1-toprightentrytotopleftexit-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet hw1-toprightentrytotopleftexit-letter)
  :effect  (available hw1_leftsplitnip-rsrc)
 )
 (:action hw1-toprightentrytotopleftexit-letter-4
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet hw1-toprightentrytotopleftexit-letter)
  :effect (and (available hw1_topleftnip-rsrc) (not (hasallrsrcs ?sheet hw1-toprightentrytotopleftexit-letter)))
 )
 (:action hw1-toprightentrytobottomleftexit-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet hw1_toprightentry-uc1_exit))
  :effect (and (timepoint ?sheet hw1-toprightentrytobottomleftexit-letter-t1) (not (location ?sheet hw1_toprightentry-uc1_exit)))
 )
 (:action hw1-toprightentrytobottomleftexit-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet hw1-toprightentrytobottomleftexit-letter-t1) (available hw1_leftsplitnip-rsrc))
  :effect (and (timepoint ?sheet hw1-toprightentrytobottomleftexit-letter-t2) (not (timepoint ?sheet hw1-toprightentrytobottomleftexit-letter-t1)) (not (available hw1_leftsplitnip-rsrc)))
 )
 (:action hw1-toprightentrytobottomleftexit-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet hw1-toprightentrytobottomleftexit-letter-t2) (available hw1_bottomleftnip-rsrc))
  :effect (and (hasallrsrcs ?sheet hw1-toprightentrytobottomleftexit-letter) (location ?sheet lc1_entry-hw1_bottomleftexit) (not (timepoint ?sheet hw1-toprightentrytobottomleftexit-letter-t2)) (not (available hw1_bottomleftnip-rsrc)))
 )
 (:action hw1-toprightentrytobottomleftexit-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet hw1-toprightentrytobottomleftexit-letter)
  :effect  (available hw1_leftsplitnip-rsrc)
 )
 (:action hw1-toprightentrytobottomleftexit-letter-4
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet hw1-toprightentrytobottomleftexit-letter)
  :effect (and (available hw1_bottomleftnip-rsrc) (not (hasallrsrcs ?sheet hw1-toprightentrytobottomleftexit-letter)))
 )
 (:action hw1-bottomrightentrytotopleftexit-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet lc1_exit-hw1_bottomrightentry))
  :effect (and (timepoint ?sheet hw1-bottomrightentrytotopleftexit-letter-t1) (not (location ?sheet lc1_exit-hw1_bottomrightentry)))
 )
 (:action hw1-bottomrightentrytotopleftexit-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet hw1-bottomrightentrytotopleftexit-letter-t1) (available hw1_leftsplitnip-rsrc))
  :effect (and (timepoint ?sheet hw1-bottomrightentrytotopleftexit-letter-t2) (not (timepoint ?sheet hw1-bottomrightentrytotopleftexit-letter-t1)) (not (available hw1_leftsplitnip-rsrc)))
 )
 (:action hw1-bottomrightentrytotopleftexit-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet hw1-bottomrightentrytotopleftexit-letter-t2) (available hw1_topleftnip-rsrc))
  :effect (and (hasallrsrcs ?sheet hw1-bottomrightentrytotopleftexit-letter) (location ?sheet uc1_entry-hw1_topleftexit) (not (timepoint ?sheet hw1-bottomrightentrytotopleftexit-letter-t2)) (not (available hw1_topleftnip-rsrc)))
 )
 (:action hw1-bottomrightentrytotopleftexit-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet hw1-bottomrightentrytotopleftexit-letter)
  :effect  (available hw1_leftsplitnip-rsrc)
 )
 (:action hw1-bottomrightentrytotopleftexit-letter-4
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet hw1-bottomrightentrytotopleftexit-letter)
  :effect (and (available hw1_topleftnip-rsrc) (not (hasallrsrcs ?sheet hw1-bottomrightentrytotopleftexit-letter)))
 )
 (:action hw1-bottomrightentrytobottomleftexit-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet lc1_exit-hw1_bottomrightentry))
  :effect (and (timepoint ?sheet hw1-bottomrightentrytobottomleftexit-letter-t1) (not (location ?sheet lc1_exit-hw1_bottomrightentry)))
 )
 (:action hw1-bottomrightentrytobottomleftexit-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet hw1-bottomrightentrytobottomleftexit-letter-t1) (available hw1_leftsplitnip-rsrc))
  :effect (and (timepoint ?sheet hw1-bottomrightentrytobottomleftexit-letter-t2) (not (timepoint ?sheet hw1-bottomrightentrytobottomleftexit-letter-t1)) (not (available hw1_leftsplitnip-rsrc)))
 )
 (:action hw1-bottomrightentrytobottomleftexit-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet hw1-bottomrightentrytobottomleftexit-letter-t2) (available hw1_bottomleftnip-rsrc))
  :effect (and (hasallrsrcs ?sheet hw1-bottomrightentrytobottomleftexit-letter) (location ?sheet lc1_entry-hw1_bottomleftexit) (not (timepoint ?sheet hw1-bottomrightentrytobottomleftexit-letter-t2)) (not (available hw1_bottomleftnip-rsrc)))
 )
 (:action hw1-bottomrightentrytobottomleftexit-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet hw1-bottomrightentrytobottomleftexit-letter)
  :effect  (available hw1_leftsplitnip-rsrc)
 )
 (:action hw1-bottomrightentrytobottomleftexit-letter-4
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet hw1-bottomrightentrytobottomleftexit-letter)
  :effect (and (available hw1_bottomleftnip-rsrc) (not (hasallrsrcs ?sheet hw1-bottomrightentrytobottomleftexit-letter)))
 )
 (:action hw1-toprightentrytorightexit-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet hw1_toprightentry-uc1_exit))
  :effect (and (timepoint ?sheet hw1-toprightentrytorightexit-letter-t1) (not (location ?sheet hw1_toprightentry-uc1_exit)))
 )
 (:action hw1-toprightentrytorightexit-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet hw1-toprightentrytorightexit-letter-t1) (available hw1_rightnip-rsrc))
  :effect (and (hasallrsrcs ?sheet hw1-toprightentrytorightexit-letter) (location ?sheet hw1_rightexit-sys_entry) (not (timepoint ?sheet hw1-toprightentrytorightexit-letter-t1)) (not (available hw1_rightnip-rsrc)))
 )
 (:action hw1-toprightentrytorightexit-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet hw1-toprightentrytorightexit-letter)
  :effect (and (available hw1_rightnip-rsrc) (not (hasallrsrcs ?sheet hw1-toprightentrytorightexit-letter)))
 )
 (:action hw1-bottomrightentrytorightexit-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet lc1_exit-hw1_bottomrightentry))
  :effect (and (timepoint ?sheet hw1-bottomrightentrytorightexit-letter-t1) (not (location ?sheet lc1_exit-hw1_bottomrightentry)))
 )
 (:action hw1-bottomrightentrytorightexit-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet hw1-bottomrightentrytorightexit-letter-t1) (available hw1_rightnip-rsrc))
  :effect (and (hasallrsrcs ?sheet hw1-bottomrightentrytorightexit-letter) (location ?sheet hw1_rightexit-sys_entry) (not (timepoint ?sheet hw1-bottomrightentrytorightexit-letter-t1)) (not (available hw1_rightnip-rsrc)))
 )
 (:action hw1-bottomrightentrytorightexit-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet hw1-bottomrightentrytorightexit-letter)
  :effect (and (available hw1_rightnip-rsrc) (not (hasallrsrcs ?sheet hw1-bottomrightentrytorightexit-letter)))
 )
 (:action uc1-toime-letter
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet uc1_entry-hw1_topleftexit))
  :effect (and (location ?sheet uc1_exittoime-uime_entry) (not (location ?sheet uc1_entry-hw1_topleftexit)))
 )
 (:action uc1-inverttoime-letter
  :parameters ( ?sheet - sheet_t ?face - side_t ?otherface - side_t)
  :precondition (and (sheetsize ?sheet letter) (oppositeside ?face ?otherface) (location ?sheet uc1_entry-hw1_topleftexit) (sideup ?sheet ?face))
  :effect (and (location ?sheet uc1_exittoime-uime_entry) (sideup ?sheet ?otherface) (not (location ?sheet uc1_entry-hw1_topleftexit)) (not (sideup ?sheet ?face)))
 )
 (:action uc1-fromime-letter
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet uime_exit-uc1_entryfromime))
  :effect (and (location ?sheet hw1_toprightentry-uc1_exit) (not (location ?sheet uime_exit-uc1_entryfromime)))
 )
 (:action uc1-invertfromime-letter
  :parameters ( ?sheet - sheet_t ?face - side_t ?otherface - side_t)
  :precondition (and (sheetsize ?sheet letter) (oppositeside ?face ?otherface) (location ?sheet uime_exit-uc1_entryfromime) (sideup ?sheet ?face))
  :effect (and (location ?sheet hw1_toprightentry-uc1_exit) (sideup ?sheet ?otherface) (not (location ?sheet uime_exit-uc1_entryfromime)) (not (sideup ?sheet ?face)))
 )
 (:action uime-simplex-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (sheetsize ?sheet letter) (sideup ?sheet ?face) (imagecolor ?image black) (location ?sheet uc1_exittoime-uime_entry) (notprintedwith ?sheet ?face black) (available uime_drum-rsrc))
  :effect (and (hasallrsrcs ?sheet uime-simplex-letter) (location ?sheet uime_exit-uc1_entryfromime) (hasimage ?sheet ?face ?image) (not (location ?sheet uc1_exittoime-uime_entry)) (not (notprintedwith ?sheet ?face black)) (not (available uime_drum-rsrc)))
 )
 (:action uime-simplex-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet uime-simplex-letter)
  :effect (and (available uime_drum-rsrc) (not (hasallrsrcs ?sheet uime-simplex-letter)))
 )
 (:action lc1-toime-letter
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet lc1_entry-hw1_bottomleftexit))
  :effect (and (location ?sheet lime_entry-lc1_exittoime) (not (location ?sheet lc1_entry-hw1_bottomleftexit)))
 )
 (:action lc1-inverttoime-letter
  :parameters ( ?sheet - sheet_t ?face - side_t ?otherface - side_t)
  :precondition (and (sheetsize ?sheet letter) (oppositeside ?face ?otherface) (location ?sheet lc1_entry-hw1_bottomleftexit) (sideup ?sheet ?face))
  :effect (and (location ?sheet lime_entry-lc1_exittoime) (sideup ?sheet ?otherface) (not (location ?sheet lc1_entry-hw1_bottomleftexit)) (not (sideup ?sheet ?face)))
 )
 (:action lc1-fromime-letter
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet lc1_entryfromime-lime_exit))
  :effect (and (location ?sheet lc1_exit-hw1_bottomrightentry) (not (location ?sheet lc1_entryfromime-lime_exit)))
 )
 (:action lc1-invertfromime-letter
  :parameters ( ?sheet - sheet_t ?face - side_t ?otherface - side_t)
  :precondition (and (sheetsize ?sheet letter) (oppositeside ?face ?otherface) (location ?sheet lc1_entryfromime-lime_exit) (sideup ?sheet ?face))
  :effect (and (location ?sheet lc1_exit-hw1_bottomrightentry) (sideup ?sheet ?otherface) (not (location ?sheet lc1_entryfromime-lime_exit)) (not (sideup ?sheet ?face)))
 )
 (:action lime-simplex-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (sheetsize ?sheet letter) (sideup ?sheet ?face) (imagecolor ?image color) (location ?sheet lime_entry-lc1_exittoime) (notprintedwith ?sheet ?face color) (available lime_drum-rsrc))
  :effect (and (hasallrsrcs ?sheet lime-simplex-letter) (location ?sheet lc1_entryfromime-lime_exit) (hasimage ?sheet ?face ?image) (not (location ?sheet lime_entry-lc1_exittoime)) (not (notprintedwith ?sheet ?face color)) (not (available lime_drum-rsrc)))
 )
 (:action lime-simplex-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lime-simplex-letter)
  :effect (and (available lime_drum-rsrc) (not (hasallrsrcs ?sheet lime-simplex-letter)))
 )
 (:action lime-simplexmono-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (sheetsize ?sheet letter) (sideup ?sheet ?face) (imagecolor ?image black) (location ?sheet lime_entry-lc1_exittoime) (notprintedwith ?sheet ?face black) (available lime_drum-rsrc))
  :effect (and (hasallrsrcs ?sheet lime-simplexmono-letter) (location ?sheet lc1_entryfromime-lime_exit) (hasimage ?sheet ?face ?image) (not (location ?sheet lime_entry-lc1_exittoime)) (not (notprintedwith ?sheet ?face black)) (not (available lime_drum-rsrc)))
 )
 (:action lime-simplexmono-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lime-simplexmono-letter)
  :effect (and (available lime_drum-rsrc) (not (hasallrsrcs ?sheet lime-simplexmono-letter)))
 )
 (:action sys-stack-letter
  :parameters ( ?sheet - sheet_t ?prevsheet - sheet_t)
  :precondition (and (prevsheet ?sheet ?prevsheet) (location ?prevsheet some_finisher_tray) (sheetsize ?sheet letter) (location ?sheet hw1_rightexit-sys_entry))
  :effect (and (location ?sheet some_finisher_tray) (stackedin ?sheet sys_outputtray) (not (location ?sheet hw1_rightexit-sys_entry)))
 )
)
