(define (domain openstacks-sequencedstrips-nonadl-nonnegated)
  (:requirements :typing :action-costs)
  (:types
          order - object
          product - object
          count - object
  )
  (:predicates
          (includes ?o - order ?p - product)
          (waiting ?o - order)
          (started ?o - order)
          (shipped ?o - order)
          (made ?p - product)
          (not-made ?p - product)
          (stacks-avail ?s - count)
          (next-count ?s - count ?ns - count)
          (is_constant_p1 ?x - product)
          (is_constant_p2 ?x - product)
          (is_constant_p3 ?x - product)
          (is_constant_p4 ?x - product)
          (is_constant_p5 ?x - product)
          (is_constant_p6 ?x - product)
          (is_constant_p7 ?x - product)
          (is_constant_p8 ?x - product)
          (is_constant_p9 ?x - product)
          (is_constant_p10 ?x - product)
          (is_constant_p11 ?x - product)
          (is_constant_p12 ?x - product)
          (is_constant_p13 ?x - product)
          (is_constant_p14 ?x - product)
          (is_constant_p15 ?x - product)
          (is_constant_p16 ?x - product)
          (is_constant_p17 ?x - product)
          (is_constant_p18 ?x - product)
          (is_constant_p19 ?x - product)
          (is_constant_p20 ?x - product)
          (is_constant_p21 ?x - product)
          (is_constant_p22 ?x - product)
          (is_constant_p23 ?x - product)
          (is_constant_p24 ?x - product)
          (is_constant_p25 ?x - product)
          (is_constant_p26 ?x - product)
          (is_constant_p27 ?x - product)
          (is_constant_p28 ?x - product)
          (is_constant_p29 ?x - product)
          (is_constant_p30 ?x - product)
          (is_constant_p31 ?x - product)
          (is_constant_p32 ?x - product)
          (is_constant_p33 ?x - product)
          (is_constant_p34 ?x - product)
          (is_constant_o1 ?x - order)
          (is_constant_o2 ?x - order)
          (is_constant_o3 ?x - order)
          (is_constant_o4 ?x - order)
          (is_constant_o5 ?x - order)
          (is_constant_o6 ?x - order)
          (is_constant_o7 ?x - order)
          (is_constant_o8 ?x - order)
          (is_constant_o9 ?x - order)
          (is_constant_o10 ?x - order)
          (is_constant_o11 ?x - order)
          (is_constant_o12 ?x - order)
          (is_constant_o13 ?x - order)
          (is_constant_o14 ?x - order)
          (is_constant_o15 ?x - order)
          (is_constant_o16 ?x - order)
          (is_constant_o17 ?x - order)
          (is_constant_o18 ?x - order)
          (is_constant_o19 ?x - order)
          (is_constant_o20 ?x - order)
          (is_constant_o21 ?x - order)
          (is_constant_o22 ?x - order)
          (is_constant_o23 ?x - order)
          (is_constant_o24 ?x - order)
          (is_constant_o25 ?x - order)
          (is_constant_o26 ?x - order)
          (is_constant_o27 ?x - order)
          (is_constant_o28 ?x - order)
          (is_constant_o29 ?x - order)
          (is_constant_o30 ?x - order)
          (is_constant_o31 ?x - order)
          (is_constant_o32 ?x - order)
          (is_constant_o33 ?x - order)
          (is_constant_o34 ?x - order)
          )
  (:functions
          (total-cost ) - number
          )
  (:action open-new-stack
          :parameters (
               ?open - count
               ?new-open - count
               )
          :precondition
               (and
                    (stacks-avail ?open)
                    (next-count ?open ?new-open)
               )
          :effect
               (and
                    (not (stacks-avail ?open))
                    (stacks-avail ?new-open)
                    (increase (total-cost) 1)
               )
  )
  (:action start-order
          :parameters (
               ?o - order
               ?avail - count
               ?new-avail - count
               )
          :precondition
               (and
                    (waiting ?o)
                    (stacks-avail ?avail)
                    (next-count ?new-avail ?avail)
               )
          :effect
               (and
                    (not (waiting ?o))
                    (started ?o)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action make-product-p1
          :parameters (
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (is_constant_p1 ?const0)
                    (is_constant_o18 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p2
          :parameters (
               ?const0 - product
               ?const1 - order
               ?const2 - order
               ?const3 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const2)
                    (started ?const3)
                    (started ?const1)
                    (is_constant_p2 ?const0)
                    (is_constant_o27 ?const1)
                    (is_constant_o4 ?const2)
                    (is_constant_o18 ?const3)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p3
          :parameters (
               ?const0 - product
               ?const1 - order
               ?const2 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const2)
                    (started ?const1)
                    (is_constant_p3 ?const0)
                    (is_constant_o15 ?const1)
                    (is_constant_o2 ?const2)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p4
          :parameters (
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (not-made ?const1)
                    (started ?const0)
                    (is_constant_o6 ?const0)
                    (is_constant_p4 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const1))
                    (made ?const1)
               )
  )
  (:action make-product-p5
          :parameters (
               ?const0 - order
               ?const1 - order
               ?const2 - order
               ?const3 - product
               )
          :precondition
               (and
                    (not-made ?const3)
                    (started ?const0)
                    (started ?const2)
                    (started ?const1)
                    (is_constant_o17 ?const0)
                    (is_constant_o30 ?const1)
                    (is_constant_o22 ?const2)
                    (is_constant_p5 ?const3)
               )
          :effect
               (and
                    (not (not-made ?const3))
                    (made ?const3)
               )
  )
  (:action make-product-p6
          :parameters (
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (not-made ?const1)
                    (started ?const0)
                    (is_constant_o15 ?const0)
                    (is_constant_p6 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const1))
                    (made ?const1)
               )
  )
  (:action make-product-p7
          :parameters (
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (not-made ?const1)
                    (started ?const0)
                    (is_constant_o33 ?const0)
                    (is_constant_p7 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const1))
                    (made ?const1)
               )
  )
  (:action make-product-p8
          :parameters (
               ?const0 - order
               ?const1 - product
               ?const2 - order
               )
          :precondition
               (and
                    (not-made ?const1)
                    (started ?const0)
                    (started ?const2)
                    (is_constant_o6 ?const0)
                    (is_constant_p8 ?const1)
                    (is_constant_o30 ?const2)
               )
          :effect
               (and
                    (not (not-made ?const1))
                    (made ?const1)
               )
  )
  (:action make-product-p9
          :parameters (
               ?const0 - order
               ?const1 - order
               ?const2 - product
               ?const3 - order
               )
          :precondition
               (and
                    (not-made ?const2)
                    (started ?const3)
                    (started ?const1)
                    (started ?const0)
                    (is_constant_o31 ?const0)
                    (is_constant_o30 ?const1)
                    (is_constant_p9 ?const2)
                    (is_constant_o25 ?const3)
               )
          :effect
               (and
                    (not (not-made ?const2))
                    (made ?const2)
               )
  )
  (:action make-product-p10
          :parameters (
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (is_constant_p10 ?const0)
                    (is_constant_o19 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p11
          :parameters (
               ?const0 - product
               ?const1 - order
               ?const2 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const2)
                    (started ?const1)
                    (is_constant_p11 ?const0)
                    (is_constant_o15 ?const1)
                    (is_constant_o11 ?const2)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p12
          :parameters (
               ?const0 - order
               ?const1 - product
               ?const2 - order
               )
          :precondition
               (and
                    (not-made ?const1)
                    (started ?const2)
                    (started ?const0)
                    (is_constant_o30 ?const0)
                    (is_constant_p12 ?const1)
                    (is_constant_o14 ?const2)
               )
          :effect
               (and
                    (not (not-made ?const1))
                    (made ?const1)
               )
  )
  (:action make-product-p13
          :parameters (
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (is_constant_p13 ?const0)
                    (is_constant_o10 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p14
          :parameters (
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (not-made ?const1)
                    (started ?const0)
                    (is_constant_o5 ?const0)
                    (is_constant_p14 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const1))
                    (made ?const1)
               )
  )
  (:action make-product-p15
          :parameters (
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (not-made ?const1)
                    (started ?const0)
                    (is_constant_o31 ?const0)
                    (is_constant_p15 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const1))
                    (made ?const1)
               )
  )
  (:action make-product-p16
          :parameters (
               ?const0 - order
               ?const1 - product
               ?const2 - order
               ?const3 - order
               )
          :precondition
               (and
                    (not-made ?const1)
                    (started ?const2)
                    (started ?const0)
                    (started ?const3)
                    (is_constant_o17 ?const0)
                    (is_constant_o1 ?const2)
                    (is_constant_p16 ?const1)
                    (is_constant_o34 ?const3)
               )
          :effect
               (and
                    (not (not-made ?const1))
                    (made ?const1)
               )
  )
  (:action make-product-p17
          :parameters (
               ?const0 - product
               ?const1 - order
               ?const2 - order
               ?const3 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const2)
                    (started ?const3)
                    (started ?const1)
                    (is_constant_o10 ?const3)
                    (is_constant_o29 ?const1)
                    (is_constant_o3 ?const2)
                    (is_constant_p17 ?const0)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p18
          :parameters (
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (is_constant_p18 ?const0)
                    (is_constant_o23 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p19
          :parameters (
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (is_constant_p19 ?const0)
                    (is_constant_o28 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p20
          :parameters (
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (is_constant_p20 ?const0)
                    (is_constant_o29 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p21
          :parameters (
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (is_constant_p21 ?const0)
                    (is_constant_o8 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p22
          :parameters (
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (is_constant_o10 ?const1)
                    (is_constant_p22 ?const0)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p23
          :parameters (
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (not-made ?const1)
                    (started ?const0)
                    (is_constant_o5 ?const0)
                    (is_constant_p23 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const1))
                    (made ?const1)
               )
  )
  (:action make-product-p24
          :parameters (
               ?const0 - order
               ?const1 - product
               ?const2 - order
               )
          :precondition
               (and
                    (not-made ?const1)
                    (started ?const0)
                    (started ?const2)
                    (is_constant_o7 ?const0)
                    (is_constant_p24 ?const1)
                    (is_constant_o29 ?const2)
               )
          :effect
               (and
                    (not (not-made ?const1))
                    (made ?const1)
               )
  )
  (:action make-product-p25
          :parameters (
               ?const0 - product
               ?const1 - order
               ?const2 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (started ?const2)
                    (is_constant_p25 ?const0)
                    (is_constant_o17 ?const1)
                    (is_constant_o28 ?const2)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p26
          :parameters (
               ?const0 - product
               ?const1 - order
               ?const2 - order
               ?const3 - order
               ?const4 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const2)
                    (started ?const1)
                    (started ?const3)
                    (started ?const4)
                    (is_constant_o26 ?const3)
                    (is_constant_p26 ?const0)
                    (is_constant_o32 ?const4)
                    (is_constant_o9 ?const1)
                    (is_constant_o8 ?const2)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p27
          :parameters (
               ?const0 - product
               ?const1 - order
               ?const2 - order
               ?const3 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const2)
                    (started ?const1)
                    (started ?const3)
                    (is_constant_p27 ?const0)
                    (is_constant_o32 ?const1)
                    (is_constant_o13 ?const2)
                    (is_constant_o33 ?const3)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p28
          :parameters (
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (is_constant_p28 ?const0)
                    (is_constant_o8 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p29
          :parameters (
               ?const0 - product
               ?const1 - order
               ?const2 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (started ?const2)
                    (is_constant_p29 ?const0)
                    (is_constant_o20 ?const1)
                    (is_constant_o29 ?const2)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p30
          :parameters (
               ?const0 - order
               ?const1 - order
               ?const2 - product
               ?const3 - order
               )
          :precondition
               (and
                    (not-made ?const2)
                    (started ?const3)
                    (started ?const1)
                    (started ?const0)
                    (is_constant_o24 ?const0)
                    (is_constant_o12 ?const3)
                    (is_constant_p30 ?const2)
                    (is_constant_o21 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const2))
                    (made ?const2)
               )
  )
  (:action make-product-p31
          :parameters (
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (is_constant_p31 ?const0)
                    (is_constant_o3 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p32
          :parameters (
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (is_constant_p32 ?const0)
                    (is_constant_o25 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p33
          :parameters (
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (not-made ?const0)
                    (started ?const1)
                    (is_constant_p33 ?const0)
                    (is_constant_o23 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const0))
                    (made ?const0)
               )
  )
  (:action make-product-p34
          :parameters (
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (not-made ?const1)
                    (started ?const0)
                    (is_constant_o16 ?const0)
                    (is_constant_p34 ?const1)
               )
          :effect
               (and
                    (not (not-made ?const1))
                    (made ?const1)
               )
  )
  (:action ship-order-o1
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (started ?const0)
                    (made ?const1)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p16 ?const1)
                    (is_constant_o1 ?const0)
               )
          :effect
               (and
                    (not (started ?const0))
                    (shipped ?const0)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o2
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p3 ?const0)
                    (is_constant_o2 ?const1)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o3
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               ?const2 - product
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const2)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p31 ?const0)
                    (is_constant_o3 ?const1)
                    (is_constant_p17 ?const2)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o4
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p2 ?const0)
                    (is_constant_o4 ?const1)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o5
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - order
               ?const1 - product
               ?const2 - product
               )
          :precondition
               (and
                    (started ?const0)
                    (made ?const1)
                    (made ?const2)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_o5 ?const0)
                    (is_constant_p14 ?const1)
                    (is_constant_p23 ?const2)
               )
          :effect
               (and
                    (not (started ?const0))
                    (shipped ?const0)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o6
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - order
               ?const1 - product
               ?const2 - product
               )
          :precondition
               (and
                    (started ?const0)
                    (made ?const2)
                    (made ?const1)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_o6 ?const0)
                    (is_constant_p8 ?const1)
                    (is_constant_p4 ?const2)
               )
          :effect
               (and
                    (not (started ?const0))
                    (shipped ?const0)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o7
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (started ?const0)
                    (made ?const1)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_o7 ?const0)
                    (is_constant_p24 ?const1)
               )
          :effect
               (and
                    (not (started ?const0))
                    (shipped ?const0)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o8
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - product
               ?const2 - product
               ?const3 - order
               )
          :precondition
               (and
                    (started ?const3)
                    (made ?const1)
                    (made ?const0)
                    (made ?const2)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p26 ?const0)
                    (is_constant_p21 ?const1)
                    (is_constant_p28 ?const2)
                    (is_constant_o8 ?const3)
               )
          :effect
               (and
                    (not (started ?const3))
                    (shipped ?const3)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o9
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p26 ?const0)
                    (is_constant_o9 ?const1)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o10
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - order
               ?const1 - product
               ?const2 - product
               ?const3 - product
               )
          :precondition
               (and
                    (started ?const0)
                    (made ?const1)
                    (made ?const3)
                    (made ?const2)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p17 ?const3)
                    (is_constant_p13 ?const1)
                    (is_constant_p22 ?const2)
                    (is_constant_o10 ?const0)
               )
          :effect
               (and
                    (not (started ?const0))
                    (shipped ?const0)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o11
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p11 ?const0)
                    (is_constant_o11 ?const1)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o12
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p30 ?const0)
                    (is_constant_o12 ?const1)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o13
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p27 ?const0)
                    (is_constant_o13 ?const1)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o14
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p12 ?const0)
                    (is_constant_o14 ?const1)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o15
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               ?const2 - product
               ?const3 - product
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const0)
                    (made ?const2)
                    (made ?const3)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p3 ?const0)
                    (is_constant_o15 ?const1)
                    (is_constant_p6 ?const2)
                    (is_constant_p11 ?const3)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o16
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (started ?const0)
                    (made ?const1)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_o16 ?const0)
                    (is_constant_p34 ?const1)
               )
          :effect
               (and
                    (not (started ?const0))
                    (shipped ?const0)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o17
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - order
               ?const1 - product
               ?const2 - product
               ?const3 - product
               )
          :precondition
               (and
                    (started ?const0)
                    (made ?const3)
                    (made ?const2)
                    (made ?const1)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_o17 ?const0)
                    (is_constant_p25 ?const1)
                    (is_constant_p16 ?const2)
                    (is_constant_p5 ?const3)
               )
          :effect
               (and
                    (not (started ?const0))
                    (shipped ?const0)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o18
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - product
               ?const2 - order
               )
          :precondition
               (and
                    (started ?const2)
                    (made ?const1)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p2 ?const0)
                    (is_constant_p1 ?const1)
                    (is_constant_o18 ?const2)
               )
          :effect
               (and
                    (not (started ?const2))
                    (shipped ?const2)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o19
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p10 ?const0)
                    (is_constant_o19 ?const1)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o20
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p29 ?const0)
                    (is_constant_o20 ?const1)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o21
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p30 ?const0)
                    (is_constant_o21 ?const1)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o22
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (started ?const0)
                    (made ?const1)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_o22 ?const0)
                    (is_constant_p5 ?const1)
               )
          :effect
               (and
                    (not (started ?const0))
                    (shipped ?const0)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o23
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - product
               ?const2 - order
               )
          :precondition
               (and
                    (started ?const2)
                    (made ?const0)
                    (made ?const1)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p18 ?const0)
                    (is_constant_p33 ?const1)
                    (is_constant_o23 ?const2)
               )
          :effect
               (and
                    (not (started ?const2))
                    (shipped ?const2)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o24
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (started ?const0)
                    (made ?const1)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_o24 ?const0)
                    (is_constant_p30 ?const1)
               )
          :effect
               (and
                    (not (started ?const0))
                    (shipped ?const0)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o25
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               ?const2 - product
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const2)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p32 ?const0)
                    (is_constant_o25 ?const1)
                    (is_constant_p9 ?const2)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o26
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (started ?const0)
                    (made ?const1)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_o26 ?const0)
                    (is_constant_p26 ?const1)
               )
          :effect
               (and
                    (not (started ?const0))
                    (shipped ?const0)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o27
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p2 ?const0)
                    (is_constant_o27 ?const1)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o28
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - product
               ?const2 - order
               )
          :precondition
               (and
                    (started ?const2)
                    (made ?const1)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p25 ?const0)
                    (is_constant_p19 ?const1)
                    (is_constant_o28 ?const2)
               )
          :effect
               (and
                    (not (started ?const2))
                    (shipped ?const2)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o29
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - product
               ?const2 - order
               ?const3 - product
               ?const4 - product
               )
          :precondition
               (and
                    (started ?const2)
                    (made ?const3)
                    (made ?const1)
                    (made ?const0)
                    (made ?const4)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p24 ?const0)
                    (is_constant_p17 ?const3)
                    (is_constant_p29 ?const4)
                    (is_constant_p20 ?const1)
                    (is_constant_o29 ?const2)
               )
          :effect
               (and
                    (not (started ?const2))
                    (shipped ?const2)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o30
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - product
               ?const2 - order
               ?const3 - product
               ?const4 - product
               )
          :precondition
               (and
                    (started ?const2)
                    (made ?const1)
                    (made ?const3)
                    (made ?const4)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_o30 ?const2)
                    (is_constant_p12 ?const0)
                    (is_constant_p9 ?const4)
                    (is_constant_p8 ?const3)
                    (is_constant_p5 ?const1)
               )
          :effect
               (and
                    (not (started ?const2))
                    (shipped ?const2)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o31
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - order
               ?const1 - product
               ?const2 - product
               )
          :precondition
               (and
                    (started ?const0)
                    (made ?const1)
                    (made ?const2)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_o31 ?const0)
                    (is_constant_p9 ?const1)
                    (is_constant_p15 ?const2)
               )
          :effect
               (and
                    (not (started ?const0))
                    (shipped ?const0)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o32
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - product
               ?const1 - order
               ?const2 - product
               )
          :precondition
               (and
                    (started ?const1)
                    (made ?const2)
                    (made ?const0)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_p27 ?const0)
                    (is_constant_o32 ?const1)
                    (is_constant_p26 ?const2)
               )
          :effect
               (and
                    (not (started ?const1))
                    (shipped ?const1)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o33
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - order
               ?const1 - product
               ?const2 - product
               )
          :precondition
               (and
                    (started ?const0)
                    (made ?const1)
                    (made ?const2)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_o33 ?const0)
                    (is_constant_p7 ?const1)
                    (is_constant_p27 ?const2)
               )
          :effect
               (and
                    (not (started ?const0))
                    (shipped ?const0)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
  (:action ship-order-o34
          :parameters (
               ?avail - count
               ?new-avail - count
               ?const0 - order
               ?const1 - product
               )
          :precondition
               (and
                    (started ?const0)
                    (made ?const1)
                    (stacks-avail ?avail)
                    (next-count ?avail ?new-avail)
                    (is_constant_o34 ?const0)
                    (is_constant_p16 ?const1)
               )
          :effect
               (and
                    (not (started ?const0))
                    (shipped ?const0)
                    (not (stacks-avail ?avail))
                    (stacks-avail ?new-avail)
               )
  )
)
