(define (problem printjob)
(:domain etipp)
(:objects
          letter - size_t
          black - color_t
          color - color_t
          front - side_t
          back - side_t
          some_feeder_tray - location_t
          some_finisher_tray - location_t
          some_purge_tray - location_t
          fe1_exit-hw1_leftentry - location_t
          hw1_rightexit-sys_entry - location_t
          uc1_entry-hw1_topleftexit - location_t
          lc1_entry-hw1_bottomleftexit - location_t
          hw1_toprightentry-uc1_exit - location_t
          lc1_exit-hw1_bottomrightentry - location_t
          uc1_exittoime-uime_entry - location_t
          uime_exit-uc1_entryfromime - location_t
          lime_entry-lc1_exittoime - location_t
          lc1_entryfromime-lime_exit - location_t
          sys_outputtray - location_t
          fe1-rsrc - resource_t
          hw1-rsrc - resource_t
          uc1-rsrc - resource_t
          uime-rsrc - resource_t
          lc1-rsrc - resource_t
          lime-rsrc - resource_t
          sys-rsrc - resource_t
          dummy-sheet - sheet_t
          sheet1 - sheet_t
          sheet2 - sheet_t
          sheet3 - sheet_t
          image-1 - image_t
          image-2 - image_t
          image-3 - image_t
          )
(:INIT
          (uninitialized)
          (= (total-cost ) 0)
          (oppositeside front back)
          (oppositeside back front)
          (location dummy-sheet some_finisher_tray)
          (prevsheet sheet1 dummy-sheet)
          (prevsheet sheet2 sheet1)
          (prevsheet sheet3 sheet2)
          (sheetsize sheet1 letter)
          (sheetsize sheet2 letter)
          (sheetsize sheet3 letter)
          (location sheet1 some_feeder_tray)
          (location sheet2 some_feeder_tray)
          (location sheet3 some_feeder_tray)
          (imagecolor image-1 color)
          (imagecolor image-2 black)
          (imagecolor image-3 black)
          (notprintedwith sheet1 front black)
          (notprintedwith sheet1 back black)
          (notprintedwith sheet1 front color)
          (notprintedwith sheet1 back color)
          (notprintedwith sheet2 front black)
          (notprintedwith sheet2 back black)
          (notprintedwith sheet2 front color)
          (notprintedwith sheet2 back color)
          (notprintedwith sheet3 front black)
          (notprintedwith sheet3 back black)
          (notprintedwith sheet3 front color)
          (notprintedwith sheet3 back color)
          (is_constant_letter letter)
          (is_constant_black black)
          (is_constant_color color)
          (is_constant_front front)
          (is_constant_back back)
          (is_constant_some_feeder_tray some_feeder_tray)
          (is_constant_some_finisher_tray some_finisher_tray)
          (is_constant_some_purge_tray some_purge_tray)
          (is_constant_fe1_exit-hw1_leftentry fe1_exit-hw1_leftentry)
          (is_constant_hw1_rightexit-sys_entry hw1_rightexit-sys_entry)
          (is_constant_uc1_entry-hw1_topleftexit uc1_entry-hw1_topleftexit)
          (is_constant_lc1_entry-hw1_bottomleftexit lc1_entry-hw1_bottomleftexit)
          (is_constant_hw1_toprightentry-uc1_exit hw1_toprightentry-uc1_exit)
          (is_constant_lc1_exit-hw1_bottomrightentry lc1_exit-hw1_bottomrightentry)
          (is_constant_uc1_exittoime-uime_entry uc1_exittoime-uime_entry)
          (is_constant_uime_exit-uc1_entryfromime uime_exit-uc1_entryfromime)
          (is_constant_lime_entry-lc1_exittoime lime_entry-lc1_exittoime)
          (is_constant_lc1_entryfromime-lime_exit lc1_entryfromime-lime_exit)
          (is_constant_sys_outputtray sys_outputtray)
          (is_constant_fe1-rsrc fe1-rsrc)
          (is_constant_hw1-rsrc hw1-rsrc)
          (is_constant_uc1-rsrc uc1-rsrc)
          (is_constant_uime-rsrc uime-rsrc)
          (is_constant_lc1-rsrc lc1-rsrc)
          (is_constant_lime-rsrc lime-rsrc)
          (is_constant_sys-rsrc sys-rsrc)
          )
(:goal
          (and
               (hasimage sheet1 front image-1)
               (notprintedwith sheet1 front black)
               (notprintedwith sheet1 back black)
               (notprintedwith sheet1 back color)
               (hasimage sheet2 front image-2)
               (notprintedwith sheet2 front color)
               (notprintedwith sheet2 back black)
               (notprintedwith sheet2 back color)
               (hasimage sheet3 front image-3)
               (notprintedwith sheet3 front color)
               (notprintedwith sheet3 back black)
               (notprintedwith sheet3 back color)
               (sideup sheet1 front)
               (sideup sheet2 front)
               (sideup sheet3 front)
               (stackedin sheet1 sys_outputtray)
               (stackedin sheet2 sys_outputtray)
               (stackedin sheet3 sys_outputtray)
          )
          )
(:metric minimize (total-cost))
)
