(define (problem transport-two-cities-sequential-2nodes-1000size-2degree-100mindistance-2trucks-2packages-2008seed)
(:domain transport)
(:objects
          city-1-loc-1 - location
          city-2-loc-1 - location
          city-1-loc-2 - location
          city-2-loc-2 - location
          truck-1 - vehicle
          truck-2 - vehicle
          package-1 - package
          package-2 - package
          capacity-0 - capacity-number
          capacity-1 - capacity-number
          capacity-2 - capacity-number
          capacity-3 - capacity-number
          capacity-4 - capacity-number
          )
(:INIT
          (= (total-cost ) 0)
          (capacity-predecessor capacity-0 capacity-1)
          (capacity-predecessor capacity-1 capacity-2)
          (capacity-predecessor capacity-2 capacity-3)
          (capacity-predecessor capacity-3 capacity-4)
          (road city-1-loc-2 city-1-loc-1)
          (= (road-length city-1-loc-2 city-1-loc-1) 45)
          (road city-1-loc-1 city-1-loc-2)
          (= (road-length city-1-loc-1 city-1-loc-2) 45)
          (road city-2-loc-2 city-2-loc-1)
          (= (road-length city-2-loc-2 city-2-loc-1) 30)
          (road city-2-loc-1 city-2-loc-2)
          (= (road-length city-2-loc-1 city-2-loc-2) 30)
          (road city-1-loc-2 city-2-loc-2)
          (= (road-length city-1-loc-2 city-2-loc-2) 166)
          (road city-2-loc-2 city-1-loc-2)
          (= (road-length city-2-loc-2 city-1-loc-2) 166)
          (at package-1 city-1-loc-1)
          (at package-2 city-1-loc-1)
          (at truck-1 city-2-loc-2)
          (capacity truck-1 capacity-3)
          (at truck-2 city-2-loc-2)
          (capacity truck-2 capacity-3)
          )
(:goal
          (and
               (at package-1 city-2-loc-1)
               (at package-2 city-2-loc-2)
          )
          )
(:metric minimize (total-cost))
)
