(define (problem transport-two-cities-sequential-6nodes-1000size-3degree-100mindistance-2trucks-4packages-2008seed)
(:domain transport)
(:objects
          city-1-loc-1 - location
          city-2-loc-1 - location
          city-1-loc-2 - location
          city-2-loc-2 - location
          city-1-loc-3 - location
          city-2-loc-3 - location
          city-1-loc-4 - location
          city-2-loc-4 - location
          city-1-loc-5 - location
          city-2-loc-5 - location
          city-1-loc-6 - location
          city-2-loc-6 - location
          truck-1 - vehicle
          truck-2 - vehicle
          package-1 - package
          package-2 - package
          package-3 - package
          package-4 - package
          capacity-0 - capacity-number
          capacity-1 - capacity-number
          capacity-2 - capacity-number
          capacity-3 - capacity-number
          capacity-4 - capacity-number
          )
(:INIT
          (= (total-cost ) 0)
          (capacity-predecessor capacity-0 capacity-1)
          (capacity-predecessor capacity-1 capacity-2)
          (capacity-predecessor capacity-2 capacity-3)
          (capacity-predecessor capacity-3 capacity-4)
          (road city-1-loc-3 city-1-loc-1)
          (= (road-length city-1-loc-3 city-1-loc-1) 22)
          (road city-1-loc-1 city-1-loc-3)
          (= (road-length city-1-loc-1 city-1-loc-3) 22)
          (road city-1-loc-4 city-1-loc-1)
          (= (road-length city-1-loc-4 city-1-loc-1) 26)
          (road city-1-loc-1 city-1-loc-4)
          (= (road-length city-1-loc-1 city-1-loc-4) 26)
          (road city-1-loc-4 city-1-loc-3)
          (= (road-length city-1-loc-4 city-1-loc-3) 45)
          (road city-1-loc-3 city-1-loc-4)
          (= (road-length city-1-loc-3 city-1-loc-4) 45)
          (road city-1-loc-5 city-1-loc-1)
          (= (road-length city-1-loc-5 city-1-loc-1) 37)
          (road city-1-loc-1 city-1-loc-5)
          (= (road-length city-1-loc-1 city-1-loc-5) 37)
          (road city-1-loc-5 city-1-loc-4)
          (= (road-length city-1-loc-5 city-1-loc-4) 12)
          (road city-1-loc-4 city-1-loc-5)
          (= (road-length city-1-loc-4 city-1-loc-5) 12)
          (road city-1-loc-6 city-1-loc-2)
          (= (road-length city-1-loc-6 city-1-loc-2) 19)
          (road city-1-loc-2 city-1-loc-6)
          (= (road-length city-1-loc-2 city-1-loc-6) 19)
          (road city-1-loc-6 city-1-loc-3)
          (= (road-length city-1-loc-6 city-1-loc-3) 34)
          (road city-1-loc-3 city-1-loc-6)
          (= (road-length city-1-loc-3 city-1-loc-6) 34)
          (road city-2-loc-2 city-2-loc-1)
          (= (road-length city-2-loc-2 city-2-loc-1) 30)
          (road city-2-loc-1 city-2-loc-2)
          (= (road-length city-2-loc-1 city-2-loc-2) 30)
          (road city-2-loc-3 city-2-loc-2)
          (= (road-length city-2-loc-3 city-2-loc-2) 47)
          (road city-2-loc-2 city-2-loc-3)
          (= (road-length city-2-loc-2 city-2-loc-3) 47)
          (road city-2-loc-4 city-2-loc-1)
          (= (road-length city-2-loc-4 city-2-loc-1) 18)
          (road city-2-loc-1 city-2-loc-4)
          (= (road-length city-2-loc-1 city-2-loc-4) 18)
          (road city-2-loc-4 city-2-loc-2)
          (= (road-length city-2-loc-4 city-2-loc-2) 24)
          (road city-2-loc-2 city-2-loc-4)
          (= (road-length city-2-loc-2 city-2-loc-4) 24)
          (road city-2-loc-4 city-2-loc-3)
          (= (road-length city-2-loc-4 city-2-loc-3) 32)
          (road city-2-loc-3 city-2-loc-4)
          (= (road-length city-2-loc-3 city-2-loc-4) 32)
          (road city-2-loc-5 city-2-loc-2)
          (= (road-length city-2-loc-5 city-2-loc-2) 42)
          (road city-2-loc-2 city-2-loc-5)
          (= (road-length city-2-loc-2 city-2-loc-5) 42)
          (road city-2-loc-5 city-2-loc-3)
          (= (road-length city-2-loc-5 city-2-loc-3) 24)
          (road city-2-loc-3 city-2-loc-5)
          (= (road-length city-2-loc-3 city-2-loc-5) 24)
          (road city-2-loc-5 city-2-loc-4)
          (= (road-length city-2-loc-5 city-2-loc-4) 41)
          (road city-2-loc-4 city-2-loc-5)
          (= (road-length city-2-loc-4 city-2-loc-5) 41)
          (road city-2-loc-6 city-2-loc-1)
          (= (road-length city-2-loc-6 city-2-loc-1) 43)
          (road city-2-loc-1 city-2-loc-6)
          (= (road-length city-2-loc-1 city-2-loc-6) 43)
          (road city-2-loc-6 city-2-loc-2)
          (= (road-length city-2-loc-6 city-2-loc-2) 41)
          (road city-2-loc-2 city-2-loc-6)
          (= (road-length city-2-loc-2 city-2-loc-6) 41)
          (road city-1-loc-5 city-2-loc-5)
          (= (road-length city-1-loc-5 city-2-loc-5) 123)
          (road city-2-loc-5 city-1-loc-5)
          (= (road-length city-2-loc-5 city-1-loc-5) 123)
          (at package-1 city-1-loc-6)
          (at package-2 city-1-loc-2)
          (at package-3 city-1-loc-1)
          (at package-4 city-1-loc-4)
          (at truck-1 city-2-loc-5)
          (capacity truck-1 capacity-4)
          (at truck-2 city-2-loc-2)
          (capacity truck-2 capacity-3)
          )
(:goal
          (and
               (at package-1 city-2-loc-1)
               (at package-2 city-2-loc-5)
               (at package-3 city-2-loc-3)
               (at package-4 city-2-loc-5)
          )
          )
(:metric minimize (total-cost))
)
