(define (problem wood-prob)
(:domain woodworking)
(:objects
          verysmooth - surface
          smooth - surface
          rough - surface
          varnished - treatmentstatus
          glazed - treatmentstatus
          untreated - treatmentstatus
          colourfragments - treatmentstatus
          natural - acolour
          small - apartsize
          medium - apartsize
          large - apartsize
          grinder0 - grinder
          glazer0 - glazer
          immersion-varnisher0 - immersion-varnisher
          planer0 - planer
          highspeed-saw0 - highspeed-saw
          spray-varnisher0 - spray-varnisher
          saw0 - saw
          mauve - acolour
          green - acolour
          blue - acolour
          black - acolour
          red - acolour
          white - acolour
          oak - awood
          cherry - awood
          p0 - part
          p1 - part
          p2 - part
          p3 - part
          p4 - part
          p5 - part
          p6 - part
          p7 - part
          b0 - board
          b1 - board
          b2 - board
          s0 - aboardsize
          s1 - aboardsize
          s2 - aboardsize
          s3 - aboardsize
          s4 - aboardsize
          s5 - aboardsize
          s6 - aboardsize
          s7 - aboardsize
          s8 - aboardsize
          s9 - aboardsize
          )
(:INIT
          (grind-treatment-change varnished colourfragments)
          (grind-treatment-change glazed untreated)
          (grind-treatment-change untreated untreated)
          (grind-treatment-change colourfragments untreated)
          (is-smooth smooth)
          (is-smooth verysmooth)
          (= (total-cost ) 0)
          (boardsize-successor s0 s1)
          (boardsize-successor s1 s2)
          (boardsize-successor s2 s3)
          (boardsize-successor s3 s4)
          (boardsize-successor s4 s5)
          (boardsize-successor s5 s6)
          (boardsize-successor s6 s7)
          (boardsize-successor s7 s8)
          (boardsize-successor s8 s9)
          (has-colour glazer0 natural)
          (has-colour glazer0 white)
          (has-colour glazer0 black)
          (has-colour immersion-varnisher0 natural)
          (has-colour immersion-varnisher0 black)
          (empty highspeed-saw0)
          (has-colour spray-varnisher0 natural)
          (has-colour spray-varnisher0 black)
          (unused p0)
          (goalsize p0 large)
          (= (spray-varnish-cost p0) 15)
          (= (glaze-cost p0) 20)
          (= (grind-cost p0) 45)
          (= (plane-cost p0) 30)
          (unused p1)
          (goalsize p1 medium)
          (= (spray-varnish-cost p1) 10)
          (= (glaze-cost p1) 15)
          (= (grind-cost p1) 30)
          (= (plane-cost p1) 20)
          (unused p2)
          (goalsize p2 large)
          (= (spray-varnish-cost p2) 15)
          (= (glaze-cost p2) 20)
          (= (grind-cost p2) 45)
          (= (plane-cost p2) 30)
          (unused p3)
          (goalsize p3 medium)
          (= (spray-varnish-cost p3) 10)
          (= (glaze-cost p3) 15)
          (= (grind-cost p3) 30)
          (= (plane-cost p3) 20)
          (unused p4)
          (goalsize p4 large)
          (= (spray-varnish-cost p4) 15)
          (= (glaze-cost p4) 20)
          (= (grind-cost p4) 45)
          (= (plane-cost p4) 30)
          (unused p5)
          (goalsize p5 small)
          (= (spray-varnish-cost p5) 5)
          (= (glaze-cost p5) 10)
          (= (grind-cost p5) 15)
          (= (plane-cost p5) 10)
          (available p6)
          (colour p6 blue)
          (wood p6 cherry)
          (surface-condition p6 verysmooth)
          (treatment p6 colourfragments)
          (goalsize p6 medium)
          (= (spray-varnish-cost p6) 10)
          (= (glaze-cost p6) 15)
          (= (grind-cost p6) 30)
          (= (plane-cost p6) 20)
          (available p7)
          (colour p7 white)
          (wood p7 oak)
          (surface-condition p7 smooth)
          (treatment p7 varnished)
          (goalsize p7 medium)
          (= (spray-varnish-cost p7) 10)
          (= (glaze-cost p7) 15)
          (= (grind-cost p7) 30)
          (= (plane-cost p7) 20)
          (boardsize b0 s3)
          (wood b0 cherry)
          (surface-condition b0 rough)
          (available b0)
          (boardsize b1 s9)
          (wood b1 oak)
          (surface-condition b1 rough)
          (available b1)
          (boardsize b2 s8)
          (wood b2 oak)
          (surface-condition b2 rough)
          (available b2)
          (is_constant_verysmooth verysmooth)
          (is_constant_smooth smooth)
          (is_constant_rough rough)
          (is_constant_varnished varnished)
          (is_constant_glazed glazed)
          (is_constant_untreated untreated)
          (is_constant_colourfragments colourfragments)
          (is_constant_natural natural)
          (is_constant_small small)
          (is_constant_medium medium)
          (is_constant_large large)
          )
(:goal
          (and
               (available p0)
               (wood p0 oak)
               (treatment p0 varnished)
               (available p1)
               (colour p1 natural)
               (surface-condition p1 verysmooth)
               (available p2)
               (wood p2 oak)
               (surface-condition p2 verysmooth)
               (available p3)
               (colour p3 black)
               (wood p3 oak)
               (available p4)
               (colour p4 white)
               (wood p4 oak)
               (surface-condition p4 smooth)
               (treatment p4 glazed)
               (available p5)
               (wood p5 oak)
               (surface-condition p5 smooth)
               (available p6)
               (wood p6 cherry)
               (surface-condition p6 smooth)
               (treatment p6 glazed)
               (available p7)
               (surface-condition p7 verysmooth)
               (treatment p7 glazed)
          )
          )
(:metric minimize (total-cost))
)
