(define (problem wood-prob)
(:domain woodworking)
(:objects
          verysmooth - surface
          smooth - surface
          rough - surface
          varnished - treatmentstatus
          glazed - treatmentstatus
          untreated - treatmentstatus
          colourfragments - treatmentstatus
          natural - acolour
          small - apartsize
          medium - apartsize
          large - apartsize
          grinder0 - grinder
          glazer0 - glazer
          immersion-varnisher0 - immersion-varnisher
          planer0 - planer
          highspeed-saw0 - highspeed-saw
          spray-varnisher0 - spray-varnisher
          saw0 - saw
          blue - acolour
          mauve - acolour
          white - acolour
          pine - awood
          oak - awood
          p0 - part
          p1 - part
          p2 - part
          p3 - part
          b0 - board
          b1 - board
          s0 - aboardsize
          s1 - aboardsize
          s2 - aboardsize
          s3 - aboardsize
          s4 - aboardsize
          s5 - aboardsize
          s6 - aboardsize
          s7 - aboardsize
          s8 - aboardsize
          s9 - aboardsize
          s10 - aboardsize
          )
(:INIT
          (grind-treatment-change varnished colourfragments)
          (grind-treatment-change glazed untreated)
          (grind-treatment-change untreated untreated)
          (grind-treatment-change colourfragments untreated)
          (is-smooth smooth)
          (is-smooth verysmooth)
          (= (total-cost ) 0)
          (boardsize-successor s0 s1)
          (boardsize-successor s1 s2)
          (boardsize-successor s2 s3)
          (boardsize-successor s3 s4)
          (boardsize-successor s4 s5)
          (boardsize-successor s5 s6)
          (boardsize-successor s6 s7)
          (boardsize-successor s7 s8)
          (boardsize-successor s8 s9)
          (boardsize-successor s9 s10)
          (has-colour glazer0 blue)
          (has-colour glazer0 mauve)
          (has-colour glazer0 white)
          (has-colour immersion-varnisher0 blue)
          (has-colour immersion-varnisher0 mauve)
          (empty highspeed-saw0)
          (has-colour spray-varnisher0 blue)
          (has-colour spray-varnisher0 mauve)
          (unused p0)
          (goalsize p0 medium)
          (= (spray-varnish-cost p0) 10)
          (= (glaze-cost p0) 15)
          (= (grind-cost p0) 30)
          (= (plane-cost p0) 20)
          (unused p1)
          (goalsize p1 large)
          (= (spray-varnish-cost p1) 15)
          (= (glaze-cost p1) 20)
          (= (grind-cost p1) 45)
          (= (plane-cost p1) 30)
          (unused p2)
          (goalsize p2 large)
          (= (spray-varnish-cost p2) 15)
          (= (glaze-cost p2) 20)
          (= (grind-cost p2) 45)
          (= (plane-cost p2) 30)
          (unused p3)
          (goalsize p3 medium)
          (= (spray-varnish-cost p3) 10)
          (= (glaze-cost p3) 15)
          (= (grind-cost p3) 30)
          (= (plane-cost p3) 20)
          (boardsize b0 s10)
          (wood b0 oak)
          (surface-condition b0 rough)
          (available b0)
          (boardsize b1 s3)
          (wood b1 pine)
          (surface-condition b1 rough)
          (available b1)
          (is_constant_verysmooth verysmooth)
          (is_constant_smooth smooth)
          (is_constant_rough rough)
          (is_constant_varnished varnished)
          (is_constant_glazed glazed)
          (is_constant_untreated untreated)
          (is_constant_colourfragments colourfragments)
          (is_constant_natural natural)
          (is_constant_small small)
          (is_constant_medium medium)
          (is_constant_large large)
          )
(:goal
          (and
               (available p0)
               (colour p0 mauve)
               (surface-condition p0 smooth)
               (available p1)
               (colour p1 blue)
               (surface-condition p1 smooth)
               (available p2)
               (colour p2 white)
               (wood p2 oak)
               (surface-condition p2 smooth)
               (treatment p2 glazed)
               (available p3)
               (colour p3 mauve)
               (wood p3 pine)
               (treatment p3 glazed)
          )
          )
(:metric minimize (total-cost))
)
