(define (problem wood-prob)
(:domain woodworking)
(:objects
          verysmooth - surface
          smooth - surface
          rough - surface
          varnished - treatmentstatus
          glazed - treatmentstatus
          untreated - treatmentstatus
          colourfragments - treatmentstatus
          natural - acolour
          small - apartsize
          medium - apartsize
          large - apartsize
          grinder0 - grinder
          glazer0 - glazer
          immersion-varnisher0 - immersion-varnisher
          planer0 - planer
          highspeed-saw0 - highspeed-saw
          spray-varnisher0 - spray-varnisher
          saw0 - saw
          green - acolour
          blue - acolour
          mauve - acolour
          red - acolour
          black - acolour
          white - acolour
          mahogany - awood
          pine - awood
          p0 - part
          p1 - part
          p2 - part
          p3 - part
          p4 - part
          p5 - part
          p6 - part
          p7 - part
          p8 - part
          b0 - board
          b1 - board
          b2 - board
          b3 - board
          s0 - aboardsize
          s1 - aboardsize
          s2 - aboardsize
          s3 - aboardsize
          s4 - aboardsize
          s5 - aboardsize
          s6 - aboardsize
          s7 - aboardsize
          s8 - aboardsize
          )
(:INIT
          (grind-treatment-change varnished colourfragments)
          (grind-treatment-change glazed untreated)
          (grind-treatment-change untreated untreated)
          (grind-treatment-change colourfragments untreated)
          (is-smooth smooth)
          (is-smooth verysmooth)
          (= (total-cost ) 0)
          (boardsize-successor s0 s1)
          (boardsize-successor s1 s2)
          (boardsize-successor s2 s3)
          (boardsize-successor s3 s4)
          (boardsize-successor s4 s5)
          (boardsize-successor s5 s6)
          (boardsize-successor s6 s7)
          (boardsize-successor s7 s8)
          (has-colour glazer0 mauve)
          (has-colour glazer0 white)
          (has-colour glazer0 green)
          (has-colour glazer0 black)
          (has-colour immersion-varnisher0 mauve)
          (has-colour immersion-varnisher0 white)
          (has-colour immersion-varnisher0 green)
          (has-colour immersion-varnisher0 black)
          (empty highspeed-saw0)
          (has-colour spray-varnisher0 mauve)
          (has-colour spray-varnisher0 white)
          (has-colour spray-varnisher0 green)
          (has-colour spray-varnisher0 black)
          (unused p0)
          (goalsize p0 large)
          (= (spray-varnish-cost p0) 15)
          (= (glaze-cost p0) 20)
          (= (grind-cost p0) 45)
          (= (plane-cost p0) 30)
          (unused p1)
          (goalsize p1 small)
          (= (spray-varnish-cost p1) 5)
          (= (glaze-cost p1) 10)
          (= (grind-cost p1) 15)
          (= (plane-cost p1) 10)
          (unused p2)
          (goalsize p2 small)
          (= (spray-varnish-cost p2) 5)
          (= (glaze-cost p2) 10)
          (= (grind-cost p2) 15)
          (= (plane-cost p2) 10)
          (unused p3)
          (goalsize p3 small)
          (= (spray-varnish-cost p3) 5)
          (= (glaze-cost p3) 10)
          (= (grind-cost p3) 15)
          (= (plane-cost p3) 10)
          (unused p4)
          (goalsize p4 small)
          (= (spray-varnish-cost p4) 5)
          (= (glaze-cost p4) 10)
          (= (grind-cost p4) 15)
          (= (plane-cost p4) 10)
          (unused p5)
          (goalsize p5 medium)
          (= (spray-varnish-cost p5) 10)
          (= (glaze-cost p5) 15)
          (= (grind-cost p5) 30)
          (= (plane-cost p5) 20)
          (available p6)
          (colour p6 white)
          (wood p6 pine)
          (surface-condition p6 rough)
          (treatment p6 glazed)
          (goalsize p6 small)
          (= (spray-varnish-cost p6) 5)
          (= (glaze-cost p6) 10)
          (= (grind-cost p6) 15)
          (= (plane-cost p6) 10)
          (unused p7)
          (goalsize p7 medium)
          (= (spray-varnish-cost p7) 10)
          (= (glaze-cost p7) 15)
          (= (grind-cost p7) 30)
          (= (plane-cost p7) 20)
          (unused p8)
          (goalsize p8 large)
          (= (spray-varnish-cost p8) 15)
          (= (glaze-cost p8) 20)
          (= (grind-cost p8) 45)
          (= (plane-cost p8) 30)
          (boardsize b0 s6)
          (wood b0 mahogany)
          (surface-condition b0 rough)
          (available b0)
          (boardsize b1 s2)
          (wood b1 mahogany)
          (surface-condition b1 smooth)
          (available b1)
          (boardsize b2 s8)
          (wood b2 pine)
          (surface-condition b2 smooth)
          (available b2)
          (boardsize b3 s2)
          (wood b3 pine)
          (surface-condition b3 smooth)
          (available b3)
          (is_constant_verysmooth verysmooth)
          (is_constant_smooth smooth)
          (is_constant_rough rough)
          (is_constant_varnished varnished)
          (is_constant_glazed glazed)
          (is_constant_untreated untreated)
          (is_constant_colourfragments colourfragments)
          (is_constant_natural natural)
          (is_constant_small small)
          (is_constant_medium medium)
          (is_constant_large large)
          )
(:goal
          (and
               (available p0)
               (colour p0 black)
               (wood p0 pine)
               (available p1)
               (colour p1 green)
               (surface-condition p1 smooth)
               (available p2)
               (colour p2 mauve)
               (wood p2 mahogany)
               (surface-condition p2 verysmooth)
               (treatment p2 varnished)
               (available p3)
               (surface-condition p3 verysmooth)
               (treatment p3 varnished)
               (available p4)
               (colour p4 white)
               (wood p4 pine)
               (available p5)
               (surface-condition p5 verysmooth)
               (treatment p5 varnished)
               (available p6)
               (surface-condition p6 smooth)
               (treatment p6 varnished)
               (available p7)
               (colour p7 mauve)
               (wood p7 mahogany)
               (surface-condition p7 smooth)
               (treatment p7 glazed)
               (available p8)
               (wood p8 pine)
               (treatment p8 varnished)
          )
          )
(:metric minimize (total-cost))
)
