(define (problem wood-prob)
(:domain woodworking)
(:objects
          verysmooth - surface
          smooth - surface
          rough - surface
          varnished - treatmentstatus
          glazed - treatmentstatus
          untreated - treatmentstatus
          colourfragments - treatmentstatus
          natural - acolour
          small - apartsize
          medium - apartsize
          large - apartsize
          grinder0 - grinder
          glazer0 - glazer
          immersion-varnisher0 - immersion-varnisher
          planer0 - planer
          highspeed-saw0 - highspeed-saw
          spray-varnisher0 - spray-varnisher
          saw0 - saw
          white - acolour
          red - acolour
          blue - acolour
          mauve - acolour
          green - acolour
          black - acolour
          cherry - awood
          mahogany - awood
          oak - awood
          p0 - part
          p1 - part
          p2 - part
          p3 - part
          p4 - part
          p5 - part
          p6 - part
          p7 - part
          p8 - part
          p9 - part
          b0 - board
          b1 - board
          b2 - board
          b3 - board
          s0 - aboardsize
          s1 - aboardsize
          s2 - aboardsize
          s3 - aboardsize
          s4 - aboardsize
          s5 - aboardsize
          s6 - aboardsize
          s7 - aboardsize
          s8 - aboardsize
          )
(:INIT
          (grind-treatment-change varnished colourfragments)
          (grind-treatment-change glazed untreated)
          (grind-treatment-change untreated untreated)
          (grind-treatment-change colourfragments untreated)
          (is-smooth smooth)
          (is-smooth verysmooth)
          (= (total-cost ) 0)
          (boardsize-successor s0 s1)
          (boardsize-successor s1 s2)
          (boardsize-successor s2 s3)
          (boardsize-successor s3 s4)
          (boardsize-successor s4 s5)
          (boardsize-successor s5 s6)
          (boardsize-successor s6 s7)
          (boardsize-successor s7 s8)
          (has-colour glazer0 blue)
          (has-colour glazer0 natural)
          (has-colour glazer0 green)
          (has-colour glazer0 mauve)
          (has-colour immersion-varnisher0 blue)
          (has-colour immersion-varnisher0 natural)
          (empty highspeed-saw0)
          (has-colour spray-varnisher0 blue)
          (has-colour spray-varnisher0 natural)
          (unused p0)
          (goalsize p0 large)
          (= (spray-varnish-cost p0) 15)
          (= (glaze-cost p0) 20)
          (= (grind-cost p0) 45)
          (= (plane-cost p0) 30)
          (unused p1)
          (goalsize p1 large)
          (= (spray-varnish-cost p1) 15)
          (= (glaze-cost p1) 20)
          (= (grind-cost p1) 45)
          (= (plane-cost p1) 30)
          (unused p2)
          (goalsize p2 large)
          (= (spray-varnish-cost p2) 15)
          (= (glaze-cost p2) 20)
          (= (grind-cost p2) 45)
          (= (plane-cost p2) 30)
          (unused p3)
          (goalsize p3 large)
          (= (spray-varnish-cost p3) 15)
          (= (glaze-cost p3) 20)
          (= (grind-cost p3) 45)
          (= (plane-cost p3) 30)
          (unused p4)
          (goalsize p4 medium)
          (= (spray-varnish-cost p4) 10)
          (= (glaze-cost p4) 15)
          (= (grind-cost p4) 30)
          (= (plane-cost p4) 20)
          (unused p5)
          (goalsize p5 large)
          (= (spray-varnish-cost p5) 15)
          (= (glaze-cost p5) 20)
          (= (grind-cost p5) 45)
          (= (plane-cost p5) 30)
          (unused p6)
          (goalsize p6 medium)
          (= (spray-varnish-cost p6) 10)
          (= (glaze-cost p6) 15)
          (= (grind-cost p6) 30)
          (= (plane-cost p6) 20)
          (unused p7)
          (goalsize p7 medium)
          (= (spray-varnish-cost p7) 10)
          (= (glaze-cost p7) 15)
          (= (grind-cost p7) 30)
          (= (plane-cost p7) 20)
          (unused p8)
          (goalsize p8 medium)
          (= (spray-varnish-cost p8) 10)
          (= (glaze-cost p8) 15)
          (= (grind-cost p8) 30)
          (= (plane-cost p8) 20)
          (unused p9)
          (goalsize p9 medium)
          (= (spray-varnish-cost p9) 10)
          (= (glaze-cost p9) 15)
          (= (grind-cost p9) 30)
          (= (plane-cost p9) 20)
          (boardsize b0 s8)
          (wood b0 cherry)
          (surface-condition b0 rough)
          (available b0)
          (boardsize b1 s7)
          (wood b1 mahogany)
          (surface-condition b1 smooth)
          (available b1)
          (boardsize b2 s3)
          (wood b2 mahogany)
          (surface-condition b2 smooth)
          (available b2)
          (boardsize b3 s7)
          (wood b3 oak)
          (surface-condition b3 rough)
          (available b3)
          (is_constant_verysmooth verysmooth)
          (is_constant_smooth smooth)
          (is_constant_rough rough)
          (is_constant_varnished varnished)
          (is_constant_glazed glazed)
          (is_constant_untreated untreated)
          (is_constant_colourfragments colourfragments)
          (is_constant_natural natural)
          (is_constant_small small)
          (is_constant_medium medium)
          (is_constant_large large)
          )
(:goal
          (and
               (available p0)
               (wood p0 cherry)
               (surface-condition p0 verysmooth)
               (available p1)
               (wood p1 cherry)
               (surface-condition p1 verysmooth)
               (available p2)
               (colour p2 blue)
               (wood p2 mahogany)
               (available p3)
               (colour p3 natural)
               (treatment p3 glazed)
               (available p4)
               (colour p4 natural)
               (treatment p4 glazed)
               (available p5)
               (colour p5 green)
               (wood p5 oak)
               (surface-condition p5 verysmooth)
               (treatment p5 glazed)
               (available p6)
               (colour p6 natural)
               (wood p6 oak)
               (surface-condition p6 smooth)
               (treatment p6 varnished)
               (available p7)
               (colour p7 natural)
               (surface-condition p7 smooth)
               (treatment p7 varnished)
               (available p8)
               (colour p8 natural)
               (wood p8 mahogany)
               (available p9)
               (colour p9 mauve)
               (treatment p9 glazed)
          )
          )
(:metric minimize (total-cost))
)
