







































































































































































































































































(define (domain openstacks-time-nonadl-nonnegated)
 (:types order - object product - object count - object)
 (:predicates (includes ?o - order ?p - product) (waiting ?o - order) (started ?o - order) (shipped ?o - order) (made ?p - product) (not-made ?p - product) (stacks-avail ?s - count) (next-count ?s - count ?ns - count))
 (:constants p1 - product p2 - product p3 - product p4 - product p5 - product p6 - product p7 - product p8 - product p9 - product p10 - product p11 - product p12 - product o1 - order o2 - order o3 - order o4 - order o5 - order o6 - order o7 - order o8 - order o9 - order o10 - order o11 - order o12 - order)
 (:action start-order
  :parameters ( ?o - order ?avail - count ?new-avail - count)
  :precondition (and (waiting ?o) (stacks-avail ?avail) (next-count ?new-avail ?avail))
  :effect (and (started ?o) (stacks-avail ?new-avail) (not (waiting ?o)) (not (stacks-avail ?avail)))
 )
 (:action make-product-p1
  :precondition (and (not-made p1) (started o10))
  :effect (and (made p1) (not (not-made p1)))
 )
 (:action make-product-p2
  :precondition (and (not-made p2) (started o1))
  :effect (and (made p2) (not (not-made p2)))
 )
 (:action make-product-p3
  :precondition (and (not-made p3) (started o6))
  :effect (and (made p3) (not (not-made p3)))
 )
 (:action make-product-p4
  :precondition (and (not-made p4) (started o3) (started o4) (started o8))
  :effect (and (made p4) (not (not-made p4)))
 )
 (:action make-product-p5
  :precondition (and (not-made p5) (started o11))
  :effect (and (made p5) (not (not-made p5)))
 )
 (:action make-product-p6
  :precondition (and (not-made p6) (started o5) (started o8) (started o12))
  :effect (and (made p6) (not (not-made p6)))
 )
 (:action make-product-p7
  :precondition (and (not-made p7) (started o5))
  :effect (and (made p7) (not (not-made p7)))
 )
 (:action make-product-p8
  :precondition (and (not-made p8) (started o10))
  :effect (and (made p8) (not (not-made p8)))
 )
 (:action make-product-p9
  :precondition (and (not-made p9) (started o5))
  :effect (and (made p9) (not (not-made p9)))
 )
 (:action make-product-p10
  :precondition (and (not-made p10) (started o2))
  :effect (and (made p10) (not (not-made p10)))
 )
 (:action make-product-p11
  :precondition (and (not-made p11) (started o2) (started o6) (started o7) (started o9) (started o11))
  :effect (and (made p11) (not (not-made p11)))
 )
 (:action make-product-p12
  :precondition (and (not-made p12) (started o11))
  :effect (and (made p12) (not (not-made p12)))
 )
 (:action ship-order-o1
  :parameters ( ?avail - count ?new-avail - count)
  :precondition (and (started o1) (made p2) (stacks-avail ?avail) (next-count ?avail ?new-avail))
  :effect (and (shipped o1) (stacks-avail ?new-avail) (not (started o1)) (not (stacks-avail ?avail)))
 )
 (:action ship-order-o2
  :parameters ( ?avail - count ?new-avail - count)
  :precondition (and (started o2) (made p10) (made p11) (stacks-avail ?avail) (next-count ?avail ?new-avail))
  :effect (and (shipped o2) (stacks-avail ?new-avail) (not (started o2)) (not (stacks-avail ?avail)))
 )
 (:action ship-order-o3
  :parameters ( ?avail - count ?new-avail - count)
  :precondition (and (started o3) (made p4) (stacks-avail ?avail) (next-count ?avail ?new-avail))
  :effect (and (shipped o3) (stacks-avail ?new-avail) (not (started o3)) (not (stacks-avail ?avail)))
 )
 (:action ship-order-o4
  :parameters ( ?avail - count ?new-avail - count)
  :precondition (and (started o4) (made p4) (stacks-avail ?avail) (next-count ?avail ?new-avail))
  :effect (and (shipped o4) (stacks-avail ?new-avail) (not (started o4)) (not (stacks-avail ?avail)))
 )
 (:action ship-order-o5
  :parameters ( ?avail - count ?new-avail - count)
  :precondition (and (started o5) (made p6) (made p7) (made p9) (stacks-avail ?avail) (next-count ?avail ?new-avail))
  :effect (and (shipped o5) (stacks-avail ?new-avail) (not (started o5)) (not (stacks-avail ?avail)))
 )
 (:action ship-order-o6
  :parameters ( ?avail - count ?new-avail - count)
  :precondition (and (started o6) (made p3) (made p11) (stacks-avail ?avail) (next-count ?avail ?new-avail))
  :effect (and (shipped o6) (stacks-avail ?new-avail) (not (started o6)) (not (stacks-avail ?avail)))
 )
 (:action ship-order-o7
  :parameters ( ?avail - count ?new-avail - count)
  :precondition (and (started o7) (made p11) (stacks-avail ?avail) (next-count ?avail ?new-avail))
  :effect (and (shipped o7) (stacks-avail ?new-avail) (not (started o7)) (not (stacks-avail ?avail)))
 )
 (:action ship-order-o8
  :parameters ( ?avail - count ?new-avail - count)
  :precondition (and (started o8) (made p4) (made p6) (stacks-avail ?avail) (next-count ?avail ?new-avail))
  :effect (and (shipped o8) (stacks-avail ?new-avail) (not (started o8)) (not (stacks-avail ?avail)))
 )
 (:action ship-order-o9
  :parameters ( ?avail - count ?new-avail - count)
  :precondition (and (started o9) (made p11) (stacks-avail ?avail) (next-count ?avail ?new-avail))
  :effect (and (shipped o9) (stacks-avail ?new-avail) (not (started o9)) (not (stacks-avail ?avail)))
 )
 (:action ship-order-o10
  :parameters ( ?avail - count ?new-avail - count)
  :precondition (and (started o10) (made p1) (made p8) (stacks-avail ?avail) (next-count ?avail ?new-avail))
  :effect (and (shipped o10) (stacks-avail ?new-avail) (not (started o10)) (not (stacks-avail ?avail)))
 )
 (:action ship-order-o11
  :parameters ( ?avail - count ?new-avail - count)
  :precondition (and (started o11) (made p5) (made p11) (made p12) (stacks-avail ?avail) (next-count ?avail ?new-avail))
  :effect (and (shipped o11) (stacks-avail ?new-avail) (not (started o11)) (not (stacks-avail ?avail)))
 )
 (:action ship-order-o12
  :parameters ( ?avail - count ?new-avail - count)
  :precondition (and (started o12) (made p6) (stacks-avail ?avail) (next-count ?avail ?new-avail))
  :effect (and (shipped o12) (stacks-avail ?new-avail) (not (started o12)) (not (stacks-avail ?avail)))
 )
)
